package cz.moneta.test.regression.internal.fortelight;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "Open Portal log page")
public class OpenLogPageTest {

    @TestCase(name = "Open Portal log page", environments = {Environment.TST1, Environment.DEV})
    public void openLogPage(Harness harness) {
        String admin = harness.withForteLight()
                .openForteLightHomePage()
                .clickPortalMenu()
                .getAdminId();

        harness.withForteLight()
                .openForteLightHomePage()
                .clickPortalMenu()
                .SelectSuperAdmin(admin)
                .clickLogsLink()
                .CheckPageTitle("HTML chyby");
    }
}